UserTransactionImp (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Class UserTransactionImp

- java.lang.Object
- - com.atomikos.icatch.jta.UserTransactionImp

- All Implemented Interfaces:
    java.io.Serializable, javax.naming.Referenceable, javax.transaction.UserTransaction

      public class UserTransactionImp
      extends java.lang.Object
      implements javax.transaction.UserTransaction, java.io.Serializable, javax.naming.Referenceable

  Our UserTransaction implementation for J2SE transactions. This class is special in that it automatically starts up and recover the transaction service on first use. Note: don't use this class in J2EE applications in order to avoid starting different transaction engines in the same application server! J2EE applications should use J2eeUserTransaction instead.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTransactionImp()` No-argument constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `commit()`
    `javax.naming.Reference` | `getReference()`
    `int` | `getStatus()`
    `void` | `rollback()`
    `void` | `setRollbackOnly()`
    `void` | `setTransactionTimeout(int seconds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTransactionImp

          public UserTransactionImp()

      No-argument constructor.

  - ### Method Detail

    - #### begin

          public void begin()
                     throws javax.transaction.NotSupportedException,
                            javax.transaction.SystemException

      Specified by:
        `begin` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.NotSupportedException`
        `javax.transaction.SystemException`
      See Also:
        `UserTransaction`

    - #### commit

          public void commit()
                      throws javax.transaction.RollbackException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             javax.transaction.SystemException,
                             java.lang.IllegalStateException,
                             java.lang.SecurityException

      Specified by:
        `commit` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.RollbackException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `javax.transaction.SystemException`
        `java.lang.IllegalStateException`
        `java.lang.SecurityException`
      See Also:
        `UserTransaction`

    - #### rollback

          public void rollback()
                        throws java.lang.IllegalStateException,
                               javax.transaction.SystemException,
                               java.lang.SecurityException

      Specified by:
        `rollback` in interface `javax.transaction.UserTransaction`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`
        `java.lang.SecurityException`
      See Also:
        `UserTransaction`

    - #### setRollbackOnly

          public void setRollbackOnly()
                               throws java.lang.IllegalStateException,
                                      javax.transaction.SystemException

      Specified by:
        `setRollbackOnly` in interface `javax.transaction.UserTransaction`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`
      See Also:
        `UserTransaction`

    - #### getStatus

          public int getStatus()
                        throws javax.transaction.SystemException

      Specified by:
        `getStatus` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.SystemException`
      See Also:
        `UserTransaction`

    - #### setTransactionTimeout

          public void setTransactionTimeout(int seconds)
                                     throws javax.transaction.SystemException

      Specified by:
        `setTransactionTimeout` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.SystemException`
      See Also:
        `UserTransaction`

    - #### getReference

          public javax.naming.Reference getReference()
                                              throws javax.naming.NamingException

      Specified by:
        `getReference` in interface `javax.naming.Referenceable`
      Throws:
        `javax.naming.NamingException`

Copyright © 2018. All Rights Reserved.